Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

List custom roles

Returns the name, description and icon of every custom role. Built-in roles are not included. Public, no auth required.

POST/v1/roles.listCustom
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

itemsCustomRole[] | nullrequired

Every custom role, highest rank first

Show properties
Array of CustomRole
descriptionstringrequired

The tooltip text

iconUrlstringrequired

The icon URL. Empty until an icon is uploaded

namestringrequired

The display name

ratinginteger<int32>required

The display rank. Custom roles rank above every built-in role

rolestringrequired

The role slug, as it appears in an account's roles

500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X POST 'https://api.steamsets.com/v1/roles.listCustom' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "items": [
    {
      "description": "Friend of SteamSets",
      "iconUrl": "https://cdn.steamsets.com/web/roles/custom/stasik-1.png",
      "name": "Stasik",
      "rating": 1000000,
      "role": "stasik"
    }
  ]
}